Page MenuHomeFreeBSD

audio/teamspeak3-server: Fix startup on FreeBSD 11+ (Remove BROKEN)
ClosedPublic

Authored by ultima on Jul 19 2017, 7:29 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, May 25, 9:57 AM
Unknown Object (File)
Fri, May 24, 10:01 AM
Unknown Object (File)
Tue, May 21, 7:23 AM
Unknown Object (File)
Mon, May 20, 6:40 AM
Unknown Object (File)
Sun, May 19, 4:40 AM
Unknown Object (File)
Thu, May 2, 12:32 PM
Unknown Object (File)
Apr 28 2024, 10:06 AM
Unknown Object (File)
Apr 23 2024, 12:47 PM
Subscribers

Details

Summary
  • Updated to 3.0.13.8
  • Fixed broken using cd in rc script as work around
  • Modified pkg-message to be more copy/paste friendly
  • Fixed whitespace to satisfy portlint

Changelog: http://forum.teamspeak.com/threads/126318-TeamSpeak-3-Server-3-0-13-8-released

PR\: 220846
Reported by\: Denys Razumov <zxzharmlesszxz@gmail.com>
Reviewed by\: lifanov (mentor), matthew (mentor)
Approved by\: lifanov (mentor), matthew (mentor)
Differential Revision\: https://reviews.freebsd.org/DXXXXX

Test Plan

portlint:
WARN: Makefile: possible use of absolute pathname "/var/db/teamspeak".
WARN: Makefile: possible use of absolute pathname "/var/log/teamspeak".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: new ports should not set PORTEPOCH.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
0 fatal errors and 6 warnings found.

poudriere:
103i386
103amd64
110i386
110amd64
12i386
12amd64

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable